﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Metadata
{
    public partial class PickCertificate : Form
    {
        public string KeyFilename { get; private set; }
        public string Password { get; private set; }

        public PickCertificate()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog fDialog = new OpenFileDialog();
            fDialog.Filter = "PFX files|*.pfx|All Files|*.*";
            fDialog.InitialDirectory = @"C:\";
            if (fDialog.ShowDialog() == DialogResult.OK)
            {
                textbox_Filename.Text = fDialog.FileName.ToString();
                KeyFilename = textbox_Filename.Text.Trim();
            }
        }

        private void textBox_TextChanged(object sender, EventArgs e)
        {
            KeyFilename = textbox_Filename.Text.Trim();
            Password = textbox_RSAPassword.Text.Trim();
        }
    }
}
